public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/php-sebastian-diff7] f43: v7.0.1
@ 2026-08-26 7:22 Remi Collet
0 siblings, 0 replies; only message in thread
From: Remi Collet @ 2026-08-26 7:22 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/php-sebastian-diff7
Branch : f43
Commit : 9c18dfe056b49db60e228ae62a675118272b4dea
Author : Remi Collet <remi@fedoraproject.org>
Date : 2026-08-26T09:21:59+02:00
Stats : +27/-36 in 4 file(s)
URL : https://src.fedoraproject.org/rpms/php-sebastian-diff7/c/9c18dfe056b49db60e228ae62a675118272b4dea?branch=f43
Log:
v7.0.1
(cherry picked from commit f4cb1f82ab9a52134d572ad25b0e82dfef1f20eb)
---
diff --git a/.gitignore b/.gitignore
index b40f640..527882b 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,2 +1,4 @@
/php-sebastian-diff7-7.0.0-7ab1ea9.tgz
/php-symfony-process-7.2.0.tar.gz
+/php-sebastian-diff7-7.0.1.tgz
+/php-symfony-process-7.4.17.tar.gz
diff --git a/makesrc.sh b/makesrc.sh
index b959795..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,35 +1,27 @@
#!/bin/bash
NAME=$(basename $PWD)
-DATE=$(sed -n '/^%global gh_date/{s/.* //;p}' $NAME.spec)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-DATE=$(date -d "$DATE -4 days" +%Y-%m-%d)
-
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
- echo "$NAME-$VERSION-$SHORT.tgz already there"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
else
- echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Date=$DATE\n"
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
echo "Cloning..."
- rm -rf $PROJECT-$COMMIT
- git clone --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || exit 1
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
- echo "Getting commit..."
- pushd $PROJECT-$COMMIT
- git checkout $COMMIT || exit1
- cp composer.json ../composer.json
- popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
echo "Archiving..."
- tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+ tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
echo "Cleaning..."
- rm -rf $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
echo "Done."
fi
diff --git a/php-sebastian-diff7.spec b/php-sebastian-diff7.spec
index ba2cc37..983e806 100644
--- a/php-sebastian-diff7.spec
+++ b/php-sebastian-diff7.spec
@@ -1,6 +1,6 @@
# remirepo/fedora spec file for php-sebastian-diff7
#
-# SPDX-FileCopyrightText: Copyright 2013-2025 Remi Collet
+# SPDX-FileCopyrightText: Copyright 2013-2026 Remi Collet
# SPDX-License-Identifier: CECILL-2.1
# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
#
@@ -9,11 +9,8 @@
%bcond_without tests
-%global gh_commit 7ab1ea946c012266ca32390913653d844ecd085f
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sebastianbergmann
%global gh_project diff
-%global gh_date 2025-02-07
# Packagist
%global pk_vendor sebastian
%global pk_project %{gh_project}
@@ -25,29 +22,27 @@
%global php_home %{_datadir}/php
Name: php-%{pk_vendor}-%{pk_project}%{major}
-Version: 7.0.0
-Release: 4%{?dist}
+Version: 7.0.1
+Release: 1%{?dist}
Summary: Diff implementation, version %{major}
License: BSD-3-Clause
URL: https://github.com/%{gh_owner}/%{gh_project}
# run makesrc.sh to create a git snapshot with test suite
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
-# php-symfony4 going to disapear, php-symfony5 not available, only used for tests
-%global symfony_version 7.2.0
+# php-symfony* not available, only used for tests
+%global symfony_version 7.4.17
Source2: https://github.com/symfony/process/archive/v%{symfony_version}/php-symfony-process-%{symfony_version}.tar.gz
-Patch0: https://github.com/sebastianbergmann/diff/commit/98c299d8486b460efd667d0d64f1a32dd588971d.patch
-
BuildArch: noarch
BuildRequires: php-fedora-autoloader-devel
%if %{with tests}
BuildRequires: php(language) >= 8.3
# from composer.json, "require-dev": {
-# "phpunit/phpunit": "^12.0",
-# "symfony/process": "^7.2"
-BuildRequires: phpunit12
+# "phpunit/phpunit": "^12.5.33",
+# "symfony/process": "^7.4.17"
+BuildRequires: phpunit12 >= 12.5.33
%endif
# from composer.json
@@ -69,8 +64,7 @@ Autoloader: %{php_home}/%{ns_vendor}/%{ns_project}%{major}/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit} -a 2
-%patch -P0 -p1
+%setup -q -n %{gh_project}-%{version} -a 2
%build
@@ -90,7 +84,7 @@ mkdir vendor
: Run upstream test suite
ret=0
-for cmd in php php83 php84; do
+for cmd in php php83 php84 php85 php86; do
if which $cmd; then
$cmd -d auto_prepend_file=%{buildroot}%{php_home}/%{ns_vendor}/%{ns_project}%{major}/autoload.php \
%{_bindir}/phpunit12 --bootstrap vendor/autoload.php || ret=1
@@ -111,6 +105,9 @@ exit $ret
%changelog
+* Wed Aug 26 2026 Remi Collet <remi@remirepo.net> - 7.0.1-1
+- update to 7.0.1
+
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild
diff --git a/sources b/sources
index 8c54d19..11af685 100644
--- a/sources
+++ b/sources
@@ -1,2 +1,2 @@
-SHA512 (php-sebastian-diff7-7.0.0-7ab1ea9.tgz) = 1c4be002b4ba174424e2da9be048b42174536c4d68fac95d9caf4085a396fba7734857d71f9346a1ce991ef238a4dc15e8e691fed7fc14d3c765bcd92ea08299
-SHA512 (php-symfony-process-7.2.0.tar.gz) = e377f4d431149f60d85d99498368f14cc1e072ba123f80a28bf5645dd9e1ecbd5e679f6521fed6cb44d74a4f3ebfed4dac8db7293fc8236b4ad7b1605a23444f
+SHA512 (php-sebastian-diff7-7.0.1.tgz) = 446178609b4f6134e750b95f58e7fc24b26b300fbcc00f3440841b1b17c81e43da09693b759759b6c675774824ffe83111af5b1d8f36e2fd4254053a9fd0233d
+SHA512 (php-symfony-process-7.4.17.tar.gz) = e9e3b0c9caedf79e740ceb47b50dc391335bacd661b0134c46afbf9b5149342ddcc9e97f232287f4cf35e394ff303224df9e56a69f26fdffb4a335e6baf81366
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-08-26 7:22 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-08-26 7:22 [rpms/php-sebastian-diff7] f43: v7.0.1 Remi Collet
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox